@import '{}/imports/ui/stylesheets/variables/index';

// *** Event compact ***
//======================

// ** Wrap
//========================================================================================
.event-compact-wrap {
	@include make-col-ready();
	padding: ($grid-gutter-width / 4) ($grid-gutter-width / 2);
}

.frame-events-fluid .event-compact-wrap {
	@include make-col(6);
	padding: ($grid-gutter-width / 4) ($grid-gutter-width / 8);

	@include media-breakpoint-up(sm) {
		@include make-col(4);
	}

	@include media-breakpoint-up(md) {
		@include make-col(3);
	}

	@include media-breakpoint-up(xl) {
		@include make-col(2);
	}
}

.container .event-compact-wrap {
	@include make-col(12);

	@include media-breakpoint-up(xl) {
		@include make-col(4);
	}

	@include media-breakpoint-up(lg) {
		@include make-col(6);
	}

	@include media-breakpoint-up(sm) {
		padding: 25px 50px;
	}

	padding: 5px 10px;
}

.container.mw-md .event-compact-wrap {
	@include make-col(6);
	padding: ($grid-gutter-width / 4) ($grid-gutter-width / 8);

	@include media-breakpoint-up(md) {
		@include make-col(4);
	}
}

.event-compact-inner-wrap {
	background-color: white;
	border: $course-border-width solid $course-border-color;
	padding: $course-border-width;

	&.ratio > * {
		top: $course-border-width;
		left: $course-border-width;
		bottom: $course-border-width;
		right: $course-border-width;
		width: unset;
		height: unset;
	}
}

// ** Compact
//========================================================================================
.event-compact {
	background-size: cover;
	display: flex;
	flex-flow: column;
	height: $event-compact-height;
	overflow: hidden;
	position: relative;
	transition: box-shadow 0.15s;

	&:hover {
		box-shadow: $shadow-lg-offset-x $shadow-lg-offset-y $shadow-lg-blur $default-shadow;
	}
}

/*
.event-compact.has-date {
	height: $event-compact-with-date-height;
}
*/

// ** Body
//========================================================================================
.event-compact-body {
	background-color: rgba(255, 255, 255, 0.8);

	width: 100%;
	padding: $course-border-width;

	position: absolute;
	bottom: 0;
}

// ** Header
//========================================================================================
.event-compact-header {
	@include ellipsis;
	position: absolute;
	top: $course-border-width/2;

	font-weight: bold;

	.event-time, .event-date {
		width: fit-content;
		padding: 0 4px;
		margin-bottom: 4px;
		color: $white;
		background: $green;
	}

	.tag-group {
		margin-top: $course-border-width/2;
		margin-left: -5px;
	}

	&.user-attends-event {
		background: $user-bg;
	}
}

.event-compact-header .fa-clock-o,
.event-compact-header .event-compact-time {
	margin-bottom: 5px;
}

// ** Past event
//========================================================================================
.event-compact.is-past {
	background-color: desaturate(lighten($event-body-bg, 5%), 20%);
}

.event-compact.is-past > .event-compact-header {
	background-color: desaturate(lighten($event-header-bg, 5%), 50%);
}

// ** Title
//========================================================================================
.event-compact-title {
	@include ellipsis-multiline(1);

	color: darken($blue, 10%);
	font-size: large;
	font-weight: bolder;


    margin-bottom: 0;


	@include media-breakpoint-up(sm) {
		@include ellipsis-multiline(2);
		margin-bottom: 0.5rem;
	}
}

// ** Description
//========================================================================================
.event-compact-description {
	@include ellipsis-multiline(1);

	color: $gray-800;

	margin-bottom: 0;

	@media (min-width: 480px) {
		@include ellipsis-multiline(2);
	}
}

// ** Internal indicator dot
//========================================================================================
.event-compact-internal {
	background-color: #f00;
	border-radius: 50%;
	height: 3px;
	left: 2px;
	position: absolute;
	top: 2px;
	width: 3px;
}

// event fully booked
//============================================================================================
.event-fully-booked {
	background-color: rgba(255, 82, 82, 0.4);
	border-radius: 5px;
	color: $white;
	display: flow-root;
	font-family: monospace, sans-serif;
	font-size: 2em;
	font-stretch: narrower;
	font-weight: 950;
	left: 5%;
	margin-block-start: 18px;
	padding: 5px;
	position: absolute;
	text-align: center;
	top: 40%;
	transform: rotate(-27deg);
	transform: rotate(-27d300eg);
	transform: rotate(-27deg);
	width: fit-content;
	z-index: 300;
}
